scriptDir = 'scripts'
source(file.path(scriptDir, 'setup.R'))

con = odbcConnect('NZSQL', believeNRows = FALSE)

params = fread(file.path(paramDir, 'analysis_params.csv'))
sqlDropSave(con, 'hughejj1_002_params', params)

assayMetadata = fread(file.path(paramDir, 'assay_metadata.csv'))
sqlDropSave(con, 'hughejj1_002_assay_metadata', assayMetadata)

assayResultMetadata = fread(file.path(paramDir, 'assay_result_metadata.csv'))
sqlDropSave(con, 'hughejj1_002_assay_result_metadata', assayResultMetadata)

screenSource = fread(file.path(paramDir, 'screen_source.csv'))
sqlDropSave(con, 'hughejj1_002_screen_source', screenSource)

########################################

tableNames = c('first_visit', 'drug_ingred', 'screen_invalid',
               'screen', 'conf_1', 'conf_2', 'conf_3', 'screen_conf',
               'meas_result_counts', 'drug_exposure', 'screen_conf_drug_exp',
               'ingred_result_counts', 'result_ingred_counts')
tableNames = paste0('hughejj1_002_', tableNames)

for (tableName in tableNames) {
  path = file.path(scriptDir, paste0(tableName, '.sql'))
  q = str_squish(readChar(path, file.info(path)$size))
  sqlDropQuery(con, tableName, q)}

########################################

# measResultCounts = sqlFetchDt(con, 'hughejj1_002_meas_result_counts')
# measResultCounts[, n := as.numeric(n)]
# measResultCounts = dcast(measResultCounts, screen_id ~ measurement_result,
#                          value.var = 'n', fill = 0)
#
# fwrite(measResultCounts, file.path(resultDir, 'meas_result_counts.csv'))

########################################

# ingredResultCounts = sqlFetchDt(con, 'hughejj1_002_ingred_result_counts')
# ingredResultCounts[, n_results := as.numeric(n_results)]
# setorder(ingredResultCounts, -n_results)
#
# fwrite(ingredResultCounts, file.path(resultDir, 'ingred_result_counts.csv'))

########################################

# resultIngredCounts = sqlFetchDt(con, 'hughejj1_002_result_ingred_counts')
# resultIngredCounts[, n_ingreds := as.numeric(n_ingreds)]
# resultIngredCounts[, n_results := as.numeric(n_results)]
# setorder(resultIngredCounts, n_ingreds)
#
# fwrite(resultIngredCounts, file.path(resultDir, 'result_ingred_counts.csv'))

########################################

measScreenConf = sqlFetchDt(con, 'hughejj1_002_screen_conf')
fwrite(measScreenConf, file.path(dataDir, 'screen_conf.csv.gz'))

measDrugExp = sqlFetchDt(con, 'hughejj1_002_screen_conf_drug_exp')
fwrite(measDrugExp, file.path(dataDir, 'screen_conf_drug_exp.csv.gz'))
