create table hughejj1_002_drug_exposure as
select distinct d.person_id, d.drug_exposure_start_date, lower(i.ingred_name) as ingred_name,
  drug_exposure_start_date + cast((select min_days_valid from hughejj1_002_params) || ' days' as interval) as valid_start_date,
  drug_exposure_start_date + cast((select max_days_valid from hughejj1_002_params) || ' days' as interval) as valid_end_date
from drug_exposure as d
inner join (select distinct person_id
            from hughejj1_002_screen_conf) as p
on d.person_id = p.person_id
inner join hughejj1_002_drug_ingred as i
on d.drug_concept_id = i.drug_id
where valid_end_date >= (select min_date from hughejj1_002_params)
