create table hughejj1_002_screen as
select * from (
select distinct m.person_id, m.measurement_datetime, m.measurement_date, a.screen_target,
  a.assay_id as screen_id, ar.num_value as screen_value
from measurement as m
inner join hughejj1_002_first_visit as v
on m.person_id = v.person_id
inner join hughejj1_002_assay_metadata as a
on m.measurement_source_value = a.assay_id
inner join hughejj1_002_assay_result_metadata as ar
on trim(leading from lower(m.value_source_value)) = ar.raw_value and a.result_type = ar.result_type
where a.assay_type = 'screen' and m.measurement_date >= (select min_date from hughejj1_002_params)
and m.measurement_date >= v.first_visit_date + cast((select max_days_valid from hughejj1_002_params) || ' days' as interval)
) as o
where not exists (select 1
                  from hughejj1_002_screen_invalid as i
                  where i.person_id = o.person_id and i.measurement_datetime = o.measurement_datetime)
